io.undertow.client

## Class ClientRequest

- java.lang.Object
- - io.undertow.util.AbstractAttachable
  - - io.undertow.client.ClientRequest

All Implemented Interfaces:
  Attachable

    public final class ClientRequest
    extends AbstractAttachable

A client request. This class should not be modified once it has been submitted to the `ClientConnection`. This class only represents the HTTP header, it does not represent an entity body. If the request needs an entity body then this must be specified by either setting a Content-Length or Transfer-Encoding header, otherwise the client will assume that the body is empty.

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`ClientRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpString` `getMethod()`
`String` `getPath()`
`HttpString` `getProtocol()`
`HeaderMap` `getRequestHeaders()`
`ClientRequest` `setMethod(HttpString method)`
`ClientRequest` `setPath(String path)`
`ClientRequest` `setProtocol(HttpString protocol)`
`String` `toString()`

### Methods inherited from class io.undertow.util.AbstractAttachable

`addToAttachmentList, createAttachmentMap, getAttachment, getAttachmentList, putAttachment, removeAttachment`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientRequest

    public ClientRequest()

### Method Detail

#### getRequestHeaders

    public HeaderMap getRequestHeaders()

#### getPath

    public String getPath()

#### getMethod

    public HttpString getMethod()

#### getProtocol

    public HttpString getProtocol()

#### setPath

    public ClientRequest setPath(String path)

#### setMethod

    public ClientRequest setMethod(HttpString method)

#### setProtocol

    public ClientRequest setProtocol(HttpString protocol)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`